Bug 1815563 - [4.4] CSI Snapshot Controller panics in checkandRemoveSnapshotFinalizersAndCheckandDeleteContent
Summary: [4.4] CSI Snapshot Controller panics in checkandRemoveSnapshotFinalizersAndCh...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.4
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.4.0
Assignee: Christian Huffman
QA Contact: Qin Ping
URL:
Whiteboard:
Depends On: 1814280
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-20 15:17 UTC by Christian Huffman
Modified: 2020-05-04 11:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1814280
Environment:
Last Closed: 2020-05-04 11:47:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift csi-external-snapshotter pull 19 None closed Bug 1815563: UPSTREAM 278, 279: Include a nil check for the snapshotContent 2020-03-30 01:07:29 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:47:24 UTC

Comment 1 Christian Huffman 2020-03-20 17:22:48 UTC
Manual cherry-pick created at https://github.com/openshift/csi-external-snapshotter/pull/19 .

Comment 4 Qin Ping 2020-03-30 06:51:26 UTC
Checked the recently 3 days automation jobs, did not find the panic.
So marked this bug as verified.

Comment 6 errata-xmlrpc 2020-05-04 11:47:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.